package com.xunao.effectdemo.activity

import android.app.Activity
import android.os.Bundle
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.PagerSnapHelper
import androidx.recyclerview.widget.RecyclerView
import com.xunao.effectdemo.R
import com.xunao.effectdemo.adapter.StarsAdapter
import kotlinx.android.synthetic.main.activity_stars_list.*


/**
 * author : czq
 * date : 2022/12/9 14:31
 * desc :
 * version: 1.0
 */
class StarScrollActivity : Activity() {

    var i=4
    var type = 1
    var list = mutableListOf<String>()
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_stars_list)

        val layoutManager = LinearLayoutManager(this,LinearLayoutManager.HORIZONTAL,false)
        rv_stars.layoutManager = layoutManager
        for (i in 0 until 17){
            list.add(i.toString())
        }
        var adapter = StarsAdapter(this,list)
        rv_stars.adapter = adapter

        val snapHelper = PagerSnapHelper()
        snapHelper.attachToRecyclerView(rv_stars)
        rv_stars.isEnabled = false
        btn_left.setOnClickListener {
            if (type==0){
                i--
            }else{
                i-=5
            }

            if (i<0){
                i=0

            }
            type= 0
            rv_stars.smoothScrollToPosition(i)
        }
        btn_right.setOnClickListener {

            if (type==1){
                i++
            }else{
                i+=5
            }
            if (i>list.size-1){
                i=list.size-1
                return@setOnClickListener
            }
            type=1
            rv_stars.smoothScrollToPosition(i)
        }
    }
}