package com.xunao.effectdemo.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.xunao.effectdemo.R

/**
 * author : czq
 * date : 2022/12/9 14:38
 * desc :
 * version: 1.0
 */
class StarsAdapter (private val context: Context, val list : MutableList<String>) :
    RecyclerView.Adapter<StarsAdapter.ViewHolder>(){

    class ViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView){
        var ivBook: ImageView? = null
        var tv: TextView? = null
        init {
            ivBook = itemView.findViewById(R.id.imv_start)
            tv = itemView.findViewById(R.id.tv_num)
        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        val view = LayoutInflater.from(parent.context)
            .inflate(R.layout.item_stars, parent, false)
        return ViewHolder(view)
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        holder.tv?.text = list[position]
        if(position == 0||position==1||position==list.size-1||position==list.size-2){
            holder.ivBook?.visibility = View.INVISIBLE
        }else{
            holder.ivBook?.visibility = View.VISIBLE
        }
    }

    override fun getItemCount(): Int {
        return list.size
    }
}